Subject: Re: Difference between login and runas?
From: [email-masked]
To: [email-masked], [email-masked]
Cc: Igor Pechtchanski <[email-masked]>, [email-masked]
Date: Mon, 7 Jul 2003 07:02:56 +0200

Hello Corinna, hello Pierre,

I was told that you have a utility which prints a full authentication token.
Is this available anywhere, possibly already as binary???

Thank you very much!!

> > I'm using cygwin 1.3.22 and need some help.
> >
> > I'm trying to change the user (coming from the localsystem account) and
> > tried several ways.
> >
> > - the "runas" utility (windows xp) does prompt me for a password.
> > redirection via eg. "echo password| runas /user:guest cmd.exe" shows that
> > runas gets the password, but tells always that it is wrong. (yes I know,
> > that echo sends the spaces between the last character and | - that's why
> > I have none). I even tried using a 'perl -e "print 'password'" | runas
> > ...' - but that didn't work either.
> >
> > - su (cygwin version) doesn't work - has not been rewritten for windows
> > authentication.
> >
> > - su (utility from microsoft, IIRC resourcekit or similar) works, but
> > needs the password.
> >
> > - login works beautifully, I do not even need the password. But: there
> > seems to be a difference between login and su(ms-version) or runas.
> > Trying to run the microsoft office setup program shows problems with
> > login, which are not there with runas or su.
> >
> > I checked that
> > - the correct registry hive was available as HKEY_CURRENT_USER,
> > - the user and group memberships were correctly set,
> > - I even purged the environment and "imported" (via a set > file.bat,
> > text-editing, and "call"ing this file.bat) an "original" from this user.
> >
> > But there is still some difference, which I don't find.
> >
> > Can somebody help me please?? Any ideas welcome.
>
> IIRC, there is a difference between the token created by passwordless
> authentication, and the one created when a password is supplied.  The
> passwordless token is not "fully trusted" by some other Windows services,
> especially remote network shares.
>
> If you really want to dig deep, Corinna Vinschen and Pierre Humblet have
> both mentioned the existence of a program that prints full authentication
> tokens, so that you can compare them.  Perhaps they could send you a
> pointer (or the source).
> 	Igor

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/